Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
bulkcfg::BulkConfiguration::SavedEvent Struct Reference

Event: Bulk configuration saved (also used for saving config backup) More...

Inheritance diagram for bulkcfg::BulkConfiguration::SavedEvent:

## Public Attributes
boolean | isBackup
| true if the event is caused by saving a full configuration backup
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Bulk configuration saved (also used for saving config backup)

Definition at line 77 of file BulkConfiguration.idl.

## Member Data Documentation

## ◆ isBackup

boolean bulkcfg::BulkConfiguration::SavedEvent::isBackup

true if the event is caused by saving a full configuration backup

Definition at line 78 of file BulkConfiguration.idl.

The documentation for this struct was generated from the following file:

- BulkConfiguration.idl